Subject: bug#13603: 24.2; Feature Request: Expose more libxml functionality

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 29 Sep 2019 07:07:45 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> Not a bug, but a feature request. XML parsing in Emacs is currently
>> pretty messy, consisting mostly of a handful of out-of-date libraries.
>> There is talk of elisp implementations of Xpath and XSLT. For Emacsen
>> compiled with libxml2, that seems like a bad idea: the system libraries
>> are there, they just need to be exposed to emacs. My request is to make
>> more of libxml2 available to elisp, starting with Xpath.
>
> What parts of Xpath were you thinking of here?

Oh I have no idea! I don't even remember why I was trying to parse so
much XML in... early 2013. I'm closing this until someone else has a
similar itch.